package com.example.pruebaslider;



import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.support.v7.app.ActionBarActivity;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

public class MainRompeCocos extends ActionBarActivity {

	private Button bAcercaDe;
	private Button bSalir;
	private Button bPuntuacion;
	private Button bJugar;
	
	public static AlmacenPuntuacionesSW_PHP almacen= new AlmacenPuntuacionesSW_PHP();
	
	private String nick;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main_rompe_cocos);

		bAcercaDe = (Button) findViewById(R.id.button3);
		bPuntuacion = (Button) findViewById(R.id.button4);
		bSalir = (Button) findViewById(R.id.button5);
		bJugar = (Button) findViewById(R.id.button1);
		
		bAcercaDe.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {
				lanzarAcercaDe(null);
			}
		});
		
		bSalir.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {
				 salir(null);
			
			}
		});
		
		bPuntuacion.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {
				
				lanzarPuntuaciones(null);
			}
		});
		
		
			
	}
	
	public void lanzarAcercaDe(View view) {
		Intent i = new Intent(this, AcercaDe.class);
		startActivity(i);
	}
	public void salir(View view) {
		finish();
	}
	
	public void lanzarPuntuaciones(View view) {
		Intent i = new Intent(this, Puntuaciones.class);
		startActivity(i);
	}
	
	public void lanzarJuego(View v) {
		
		if(nick.equals("Demo") || nick.equals("?")){
			Toast.makeText(this, "Ingresa un nombre en configurar, para poder jugar", Toast.LENGTH_LONG).show();
		}else{
			Toast.makeText(this, "ok "+ nick, Toast.LENGTH_LONG).show();
			Intent i = new Intent(this, MainActivityViewFlipper.class);
			i.putExtra("nick", nick);
			startActivityForResult(i, 1234);	
		}		
	}
	
	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {

		super.onActivityResult(requestCode, resultCode, data);

		if (requestCode == 1234 && resultCode == RESULT_OK && data != null) {
			
			lanzarPuntuaciones(null);
		}

	}
	
	public void lanzarPreferencias(View view) {
		Intent i = new Intent(this, Preferencias.class);
		startActivity(i);
	}
	
	public void mostrarPreferencias(View view) {
		SharedPreferences pref = PreferenceManager
				.getDefaultSharedPreferences(this);
		nick = pref.getString("nombre", "?");
		String s =  "Nombre: " + pref.getString("nombre", "Demo");
		Toast.makeText(this, s, Toast.LENGTH_SHORT).show();
		
	}

	// manejo del ciclo de vida
	
	@Override
	protected void onStart() {
		super.onStart();
		//Toast.makeText(this, "onStart", Toast.LENGTH_SHORT).show();
	}
	
	@Override
	protected void onResume() {
		super.onResume();
		//Toast.makeText(this, "onResume", Toast.LENGTH_SHORT).show();
		mostrarPreferencias(null);
	}
	
	@Override
	protected void onPause() {

		super.onPause();
		//Toast.makeText(this, "onPause", Toast.LENGTH_SHORT).show();
		
	}
	@Override
	protected void onStop() {
		super.onStop();
		//Toast.makeText(this, "onStop", Toast.LENGTH_SHORT).show();		
	}
	@Override
	protected void onRestart() {
		super.onRestart();
		//Toast.makeText(this, "onRestart", Toast.LENGTH_SHORT).show();
	}
	
	@Override
	protected void onDestroy() {
		super.onDestroy();
		Toast.makeText(this, "onDestroy", Toast.LENGTH_SHORT).show();
	}

}
